//
// Example use of findpipette
//
// Bala Amavasai (bala@amavasai.org)
// $Header: /cvs/mimas2/examples/findPipette/main.cc,v 1.1.1.1 2005/08/09 15:37:40 engmb Exp $
//


#include <fstream>
#include <iostream>
#include "findpipette.h"
#include "image_fileinput.h"

using namespace std;
using namespace mimas;

int	main(int argc, char **argv)
{
  int retVal = 0;
  try {
    image<int> image1, image2;
    findPipette pipette;
    int x,y;

    ifstream file1( "grabbed0090.pgm", ios::binary );
    file1 >> image1;
    ifstream file2( "grabbed0091.pgm", ios::binary );
    file2 >> image2;

    pipette.find(image1,image2, x, y);

    cerr << x << " " << y << endl;

  } catch ( exception &e ) {
    cerr << e.what() << endl;
    retVal = 1;
  };
  return retVal;

}
