#ifndef MMVL_HYPOTHESIS_HH
#define MMVL_HYPOTHESIS_HH

namespace mimas{
  namespace hf{  


    /**
     *@ingroup pf
     *@brief interface class of an hypothesis
     *
     *Could be specified as pure virtual
     *************************************************************************/

    class hypothesis{
    public:
      double weight;    ///<"We don't use probabilies" but weight thus we don't have to normalize the sample weight.

      //I change to template, no need of a virtual function now.
      //virtual hypothesis &drift(void) const = 0;

      hypothesis(double weight):weight(weight){}
    
      //virtual ~hypothesis(){}
    };
  }
} 
#endif
