#include "image_fileoutput.h"

namespace mimas {

template<>
const char *image_fileoutput< unsigned char >::mapString(void)
{
  return "I";
} 

template<>
const char *image_fileoutput< rgba< unsigned char > >::mapString(void)
{
  return "BGRA";
} 

template<>
const char *image_fileoutput< unsigned char >::defaultFormat(void)
{
  return "PGM";
} 

template<>
const char *image_fileoutput< rgba< unsigned char > >::defaultFormat(void)
{
  return "PPM";
} 

const char *image_fileoutput_fileType = NULL;

};
