#ifndef CONFIG_H
#define CONFIG_H

//
// Default values of variables
//

// size of the chessboard (number of black squares only)
#define SIZE_X 5
#define SIZE_Y 4

// minimum correlation required to assume the corners are found
#define MIN_CORR 0.80

// video device
#define VIDEO_DEVICE "/dev/video"

// window size to look to the corner in the local search.
// e.g. a value of 10 will lead to a window size of 20 * 20
#define WINDOW 10

// use the preview window (disable if it's too slow)
// correct values : 0 (no) or 1 (yes)
#define PREVIEW 1


#endif
