template <typename Hypothesis_T, typename Pixel_T>
void observer3D<Hypothesis_T, Pixel_T>::observe(hypothesis3D &h)
{
  //bounds treatments before and after.

  trans(0) = h.x;
  trans(1) = h.y;
  trans(2) = h.z;
  rot(0) = h.Rx;
  rot(1) = h.Ry;
  rot(2) = h.Rz;

  cuboid.rotate(rot);
  cuboid.translate(trans);

  mapper_.getPoints(30);
  mapper_.mapPoints();
  mapper_.plot(image_private); //here we draw on the image the
  //hypothesised rubik's cube
  
  h.weight = 1.; //here is where the result of the measure should be saved.
}
