template <typename Hypothesis_T, typename Pixel_T>
Hypothesis_T analyse_result_mean<Hypothesis_T, Pixel_T>::analyse(void)
{
  Hypothesis_T result;

  //to avoid division by 0 by mean() 
  result.weight = std::numeric_limits<float>::epsilon();

  //std::cerr<<"epsilon "<< result.weight<<std::endl;
  
  for(unsigned int i = 0; i < hypotheses_AR.size(); i++){
    result = result.mean(hypotheses_AR[i]);
  }

  return result;
}
