#ifndef SEGMENT_HASHMAP_TOOL
#define SEGMENT_HASHMAP_TOOL

#include "image.h"
#include "rgba.h"

namespace mimas {
class segment_hashmap_tool
{
	private:
		bool mapCreated;
		bool quantLevelsSet;
		
	protected:
		int ***hashmap;
		int qlevels;

	public:
		segment_hashmap_tool(void);
		~segment_hashmap_tool(void);
		void setQuantisationLevels(int levels);
		void storeColours(image< rgba< unsigned char > > &imagein);
		void segment(const image< rgba< unsigned char > > &imagein, image< rgba< unsigned char > > &imageout, int thres);
};

}

#endif
